%define branch 0.4
%define svn svn1655

Version: %branch.0
Epoch: 1
Name: qmmp
Release: alt0.1.M51.%svn
Summary: QMMP - Qt-based multimedia player
License: GPLv2
Group: Sound
Packager: Motsyo Gennadi <drool@altlinux.ru>
Url: http://qmmp.ylsoftware.com/
Source0: http://qmmp.ylsoftware.com/files/%name-%branch-%svn.tar.bz2

Requires: unzip winamplike-skins lib%name = %version-%release
Requires: %{get_dep libqt4-core}

BuildPreReq: rpm-build-wlskins doxygen

BuildRequires: cmake >= 2.4.8 gcc-c++ libavformat-devel libcdio-devel
BuildRequires: libcurl-devel libfaad-devel libmad-devel libmodplug-devel
BuildRequires: libmpcdec-devel libpulseaudio-devel >= 0.9.15 libqt4-devel
BuildRequires: libsamplerate-devel libtag-devel >= 1.6 libvorbis-devel
BuildRequires: libwavpack-devel libalsa-devel libflac-devel libbs2b-devel >= 3.0
BuildRequires: libprojectM-devel jackit-devel xorg-xf86miscproto-devel
BuildRequires: libenca-devel libcddb-devel

%description
QMMP is an audio-player, written with help of Qt library.
The user interface is similar to winamp or xmms.

Main opportunities:
- winamp and xmms packed and unpacked skins support
- plugins support
- MPEG1 layer 1/2/3 support
- Ogg Vorbis support
- native FLAC support
- Musepack support
- WavePack support
- ModPlug support
- WMA support (and other formats provided by FFmpeg library)
- PCM WAVE support (and other formats provided by libsndfile library)
- AAC support
- CD Audio support
- CUE support (including flac embeded cue)
- ALSA sound output
- JACK sound output
- OSS sound output
- PulseAudio output
- Last.fm scrobbler
- Spectrum Analyzer
- projectm visualization
- sample rate conversion
- bs2b dsp effect
- streaming support (MP3, Vorbis via IceCast/ShoutCast)
- device detection
- MPRIS support
- global hotkey support
- video playback using MPlayer
- lyrics support (from LyricWiki.org)

%description -l ru_RU.UTF8
Программа является аудио-плеером, написанным с использованием библиотеки Qt.
Пользовательский интерфейс сходный с winamp или xmms.

Основные возможности:
- поддержка упакованных и распакованных тем winamp и xmms
- поддержка модулей
- поддержка MPEG1 layer 1/2/3
- поддержка Ogg Vorbis
- поддержка native FLAC
- поддержка Musepack
- поддержка WavePack
- поддержка ModPlug
- поддержка WMA, APE (и др. форматов библиотеки FFmpeg)
- поддержка PCM WAVE (и др. форматов библиотеки libsndfile)
- поддержка AAC
- поддержка CD Audio
- поддержка CUE (включая flac embeded cue)
- вывод звука через ALSA
- вывод звука через JACK
- вывод звука через OSS
- вывод звука через PulseAudio
- скробблер Last.fm
- анализатор спектра
- визуализация с помощью projectM
- передискретизация
- эффект bs2b
- поддержка потокового вещания (MP3, Vorbis через IceCast/ShoutCast)
- определение устройств
- поддержка MPRIS
- поддержка глобальных клавиш
- поддержка видео с помощью Mplayer
- получение текстов песен с LyricWiki.org

%package -n %name-docs
Summary: Documentation for Qmmp
Group: Documentation
BuildArch: noarch

%description -n %name-docs
Documentation for Qmmp

%package -n lib%name
Summary: Shared libraries for Qmmp
Group: System/Libraries

%description -n lib%name
Shared libraries for Qmmp

# Output plugins
%package -n %name-out-pulseaudio
Summary: Qmmp PulseAudio Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-pulseaudio
Qmmp PulseAudio Output Plugin

%package -n %name-out-oss
Summary: Qmmp OSS Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-oss
Qmmp OSS Output Plugin

%package -n %name-out-jack
Summary: Qmmp Jack Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-jack
Qmmp Jack Output Plugin

%package -n %name-out-null
Summary: Qmmp Null Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-null
Qmmp Null Output Plugin

# Input plugins
%package -n %name-in-ffmpeg
Summary: Qmmp FFMPEG Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-ffmpeg
Qmmp FFMPEG Audio Plugin

%package -n %name-in-flac
Summary: Qmmp FLAC Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-flac
Qmmp FLAC Audio Plugin

%package -n %name-in-musepack
Summary: Qmmp Musepack Audio Plugin
Group: Sound
Requires: qmmp = %version-%release libtag >= 1.6

%description -n %name-in-musepack
Qmmp Musepack Audio Plugin

%package -n %name-in-sndfile
Summary: Qmmp Sndfile Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-sndfile
Qmmp Sndfile Audio Plugin

%package -n %name-in-wavpack
Summary: Qmmp WavPack Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-wavpack
Qmmp WavPack Audio Plugin

%package -n %name-in-modplug
Summary: Qmmp ModPlug Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-modplug
Qmmp ModPlug Audio Plugin

%package -n %name-in-cue
Summary: Qmmp Cue Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-cue
Qmmp Cue Audio Plugin

%package -n %name-in-aac
Summary: Qmmp AAC Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-aac
Qmmp AAC Audio Plugin

%package -n %name-in-mplayer
Summary: Qmmp MPlayer Plugin
Group: Video
Requires: qmmp = %version-%release mplayer

%description -n %name-in-mplayer
Qmmp MPlayer Plugin

%package -n %name-in-cdaudio
Summary: Qmmp CDAudio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-cdaudio
Qmmp CDAudio Plugin

# Visualization plugins
%package -n %name-vis-analyzer
Summary: Qmmp Analyzer Visual Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-vis-analyzer
Qmmp Analyzer Visual Plugin

%package -n %name-vis-projectm
Summary: Qmmp ProjectM Visual Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-vis-projectm
Qmmp ProjectM Visual Plugin

# Effects plugins
%package -n %name-eff-srconverter
Summary: Qmmp Sample Rate Converter Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-eff-srconverter
Qmmp Sample Rate Converter Plugin

%package -n %name-eff-bs2b
Summary: Qmmp BS2B Effect Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-eff-bs2b
Qmmp BS2B Effect Plugin

%package -n %name-eff-ladspa
Summary: Qmmp LADSPA Effect Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-eff-ladspa
Qmmp LADSPA Effect Plugin

# Transports plugins
%package -n %name-http
Summary: Qmmp HTTP Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-http
Qmmp HTTP Plugin

# General plugins
%package -n %name-mpris
Summary: Qmmp MPRIS Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-mpris
Qmmp MPRIS Plugin

%package -n %name-notifier
Summary: Qmmp Notifier Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-notifier
Qmmp Notifier Plugin

%package -n %name-kdenotify
Summary: Qmmp notification plugin for KDE4
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-kdenotify
Qmmp notification plugin for KDE4

%package -n %name-scrobbler
Summary: Qmmp AudioScrobbler Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-scrobbler
Qmmp AudioScrobbler Plugin

%package -n %name-statusicon
Summary: Qmmp Status Icon Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-statusicon
Qmmp Status Icon Plugin

%package -n %name-lyrics
Summary: Qmmp Lyrics Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-lyrics
Qmmp Lyrics Plugin

%package -n %name-hal
Summary: Qmmp HAL Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-hal
Qmmp HAL Plugin

%package -n %name-hotkey
Summary: Qmmp Global Hotkey Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-hotkey
Qmmp Global Hotkey Plugin. This plugin adds support
for multimedia keys or global key combinations

%package -n %name-fileops
Summary: Qmmp file operations Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-fileops
Qmmp file operations Plugin

%package -n %name-covermanager
Summary: Qmmp cover manager Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-covermanager
Qmmp cover manager Plugin

%package -n lib%name-devel
Summary: Qmmp header files
Group: Development/C++
Requires: lib%name = %version-%release
Provides: %name-devel
Obsoletes: %name-devel

%description -n lib%name-devel
%name-devel contains the header files needed to develop
programs which make use of Qmmp.

%package -n %name-full
Summary: QMMP - Qt-based multimedia player
Group: Sound
BuildArch: noarch
Requires: qmmp qmmp-in-wavpack qmmp-mpris qmmp-notifier
Requires: qmmp-eff-srconverter qmmp-in-ffmpeg qmmp-in-mplayer
Requires: qmmp-in-flac qmmp-out-pulseaudio qmmp-in-modplug
Requires: qmmp-in-musepack qmmp-statusicon qmmp-in-sndfile qmmp-in-cue
Requires: qmmp-vis-analyzer qmmp-scrobbler qmmp-hal qmmp-hotkey
Requires: qmmp-eff-bs2b qmmp-vis-projectm qmmp-fileops
Requires: qmmp-out-jack qmmp-out-oss qmmp-out-null qmmp-http
Requires: qmmp-kdenotify qmmp-eff-ladspa qmmp-covermanager

%description -n %name-full
Virtual package for full installation Qmmp (exclude %name-devel).

%prep
%setup -q -n %name-%branch-svn

%build
# # with CMake
cmake \
	-DCMAKE_INSTALL_PREFIX=%prefix \
	-DCMAKE_CXX_FLAGS:STRING="%optflags" \
	-DCMAKE_C_FLAGS:STRING="%optflags" \
	-DLIB_DIR:STRING=%_lib

# # with QMake
# #export PATH=$PATH:%_qt4dir/bin
# #qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" LIB_DIR=/%_lib %name.pro
# #%make_build VERBOSE=1

cd doc && doxygen Doxyfile

%install
# # with CMake
%make DESTDIR=%buildroot install

# # with QMake
# #%make INSTALL_ROOT=%buildroot%prefix install

%__mkdir -p %buildroot%_datadir/%name
ln -s %_wlskindir %buildroot%_datadir/%name/skins
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
%__install -Dp -m 0644 src/ui/images/48x48/%name.png %buildroot%_liconsdir/%name.png
%__install -Dp -m 0644 src/ui/images/32x32/%name.png %buildroot%_niconsdir/%name.png
%__install -Dp -m 0644 src/ui/images/16x16/%name.png %buildroot%_miconsdir/%name.png

%__install -Dp -m 0644 src/ui/%name.desktop %buildroot%_desktopdir/%name.desktop

%files
%dir %_libdir/%name
%dir %_libdir/%name/Input
%dir %_libdir/%name/Output
%dir %_libdir/%name/Engines
%dir %_libdir/%name/Transports
%dir %_libdir/%name/PlaylistFormats
%dir %_libdir/%name/CommandLineOptions
%dir %_libdir/%name/FileDialogs
%dir %_libdir/%name/Effect
%dir %_libdir/%name/General
%dir %_libdir/%name/Visual
%_bindir/*
%_desktopdir/*
%_libdir/%name/Input/libmad*
%_libdir/%name/Input/libvorbis*
%_libdir/%name/Output/libalsa*
%_libdir/%name/PlaylistFormats/*.so
%_libdir/%name/CommandLineOptions/*.so
%_libdir/%name/FileDialogs/*.so
%_datadir/%name/
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png

%files -n lib%name
%_libdir/*.so.0
%_libdir/*.so.0.4*

# Output plugins
%files -n %name-out-pulseaudio
%_libdir/%name/Output/libpulseaudio*

%files -n %name-out-oss
%_libdir/%name/Output/liboss*

%files -n %name-out-jack
%_libdir/%name/Output/libjack*

%files -n %name-out-null
%_libdir/%name/Output/libnull*

# Input plugins
%files -n %name-in-ffmpeg
%_libdir/%name/Input/libffmpeg*

%files -n %name-in-flac
%_libdir/%name/Input/libflac*

%files -n %name-in-musepack
%_libdir/%name/Input/libmpc*

%files -n %name-in-sndfile
%_libdir/%name/Input/libsndfile*

%files -n %name-in-wavpack
%_libdir/%name/Input/libwavpack*

%files -n %name-in-cue
%_libdir/%name/Input/libcue*

%files -n %name-in-aac
%_libdir/%name/Input/libaac*

%files -n %name-in-modplug
%_libdir/%name/Input/libmodplug*

%files -n %name-in-mplayer
%_libdir/%name/Engines/libmplayer*

%files -n %name-in-cdaudio
%_libdir/%name/Input/libcdaudio*

# Visualization plugins
%files -n %name-vis-analyzer
%_libdir/%name/Visual/libanalyzer*

%files -n %name-vis-projectm
%_libdir/%name/Visual/libprojectm*

# Effects plugins
%files -n %name-eff-srconverter
%_libdir/%name/Effect/libsrconverter*

%files -n %name-eff-bs2b
%_libdir/%name/Effect/libbs2b*

%files -n %name-eff-ladspa
%_libdir/%name/Effect/libladspa*

# Transports plugins
%files -n %name-http
%_libdir/%name/Transports/libhttp*

# General plugins
%files -n %name-mpris
%_libdir/%name/General/libmpris*

%files -n %name-notifier
%_libdir/%name/General/libnotifier*

%files -n %name-kdenotify
%_libdir/%name/General/libkdenotify*

%files -n %name-scrobbler
%_libdir/%name/General/libscrobbler*

%files -n %name-statusicon
%_libdir/%name/General/libstatusicon*

%files -n %name-lyrics
%_libdir/%name/General/liblyrics*

%files -n %name-hal
%_libdir/%name/General/libhal*

%files -n %name-hotkey
%_libdir/%name/General/libhotkey*

%files -n %name-fileops
%_libdir/%name/General/libfileops*

%files -n %name-covermanager
%_libdir/%name/General/libcovermanager*

%files -n lib%name-devel
%dir %_includedir/%name
%dir %_includedir/%{name}ui
%_includedir/%name/*.h
%_includedir/%{name}ui/*.h
%_libdir/*.so

%files -n %name-docs
%doc AUTHORS ChangeLog* README* doc/html doc/latex

%files -n %name-full
%changelog
* Sat Mar 27 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.1.M51.svn1655
- build for M51

* Sat Mar 27 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1655
- 0.4 svn1655 version

* Wed Mar 24 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1641
- 0.4 svn1641 version

* Sun Mar 21 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1638
- 0.4 svn1638 version

* Wed Mar 17 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1631
- 0.4 svn1630 version

* Tue Mar 16 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1630
- 0.4 svn1630 version

* Fri Mar 12 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1623
- 0.4 svn1623 version

* Fri Mar 05 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1601
- 0.4 svn1601 version

* Mon Mar 01 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1595
- 0.4 svn1595 version

* Sat Feb 27 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1591
- 0.4 svn1591 version

* Tue Feb 23 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1574
- 0.4 svn1574 version

* Mon Feb 22 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1568
- 0.4 svn1568 version

* Sat Feb 20 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1562
- 0.4 svn1562 version

* Wed Feb 17 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1561
- 0.4 svn1561 version

* Tue Feb 16 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1559
- 0.4 svn1559 version

* Mon Feb 08 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1555
- 0.4 svn1555 version

* Fri Feb 05 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1553
- 0.4 svn1553 version

* Tue Feb 02 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1542
- 0.4 svn1542 version

* Fri Jan 29 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1533
- 0.4 svn1533 version

* Wed Jan 27 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1530
- 0.4 svn1530 version

* Sun Jan 24 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1528
- 0.4 svn1528 version

* Fri Jan 22 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1523
- 0.4 svn1523 version

* Wed Jan 20 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1518
- 0.4 svn1518 version

* Sun Jan 17 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1508
- 0.4 svn1508 version

* Wed Jan 13 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1503
- 0.4 svn1503 version

* Sat Jan 09 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1491
- 0.4 svn1491 version

* Fri Jan 08 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1490
- 0.4 svn1490 version

* Thu Jan 07 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1488
- 0.4 svn1488 version

* Tue Jan 05 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1482
- 0.4 svn1482 version

* Mon Jan 04 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1481
- 0.4 svn1481 version

* Sun Jan 03 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1476
- 0.4 svn1476 version
  + fixed metadata regression

* Sat Jan 02 2010 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1475
- 0.4 svn1475 version

* Thu Dec 31 2009 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1462
- 0.4 svn1462 version

* Mon Dec 28 2009 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1459
- 0.4 svn1459 version

* Mon Dec 21 2009 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1452
- 0.4 svn1452 version

* Mon Dec 21 2009 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1451
- 0.4 svn1451 version
  + fixed track repeat regression

* Fri Dec 18 2009 Motsyo Gennadi <drool@altlinux.ru> 1:0.4.0-alt0.2.svn1449
- 0.4 svn1449 version

* Sun Dec 13 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1446
- 0.4 svn1446 version

* Thu Dec 10 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1438
- 0.4 svn1438 version

* Tue Dec 08 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1430
- 0.4 svn1430 version

* Sun Dec 06 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1425
- 0.4 svn1425 version

* Fri Dec 04 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1417
- 0.4 svn1417 version

* Tue Dec 01 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1414
- 0.4 svn1414 version

* Mon Nov 30 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1413
- 0.4 svn1413 version

* Sat Nov 28 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1411
- 0.4 svn1411 version

* Thu Nov 26 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1410
- 0.4 svn1410 version

* Mon Nov 23 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1403
- 0.4 svn1403 version

* Mon Nov 23 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.2.svn1397
- fixed required version libtag >= 1.6 for %name-in-musepack

* Sun Nov 22 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1397
- 0.4 svn1397 version

* Sat Nov 21 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1395
- 0.4 svn1395 version

* Fri Nov 20 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1388
- 0.4 svn1388 version

* Tue Nov 17 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1382.1
- rebuild with new libcdio

* Mon Nov 16 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1382
- 0.4 svn1382 version

* Sat Nov 14 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1372
- 0.4 svn1372 version

* Fri Nov 13 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1366
- 0.4 svn1366 version

* Fri Nov 06 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1360
- 0.4 svn1360 version

* Mon Nov 02 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1353
- 0.4 svn1353 version

* Sat Oct 31 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1348
- 0.4 svn1348 version

* Sat Oct 31 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1340
- 0.4 svn1340 version

* Thu Oct 22 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1335
- 0.4 svn1335 version

* Sat Oct 17 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1324
- 0.4 svn1324 version

* Tue Oct 13 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1312
- 0.4 svn1312 version
  + added new details dialog, disabled input plugins due api changes
  + notifier: fixed popup widget icon
  + updated Ukrainian translation
  + removed obsolete qt macros, updated Russian translation
  + removed unused files
  + added getcwd portability patch (Pino Toskano)
  + added SALSA/non-Linux compatibility patch (Pino Toskano)
  + fixed desktop file
  + prepare for gapless playback support
  + fixed memory leak
  + fixed some bugs, removed unused code
  + fixed button focus behavior (patch by erlk.ozlr AT gmail.com)
  + fixed cue bug
  + fixed tag refresh
  + fixed notifications
  + fixed regression
  + added transport api, moved http into plugin, fixed problems with cue metadata
  + text scroller: added scrolling with mouse (patch by Erik lsar)
  + removed noise between cue tracks
  + fixed problem with cue parser
  + fixed build
  + fixed cue parsing
  + fixed saving of track
  + fixed cue+flac regression (Fixes issue 169)
  + wavpack plugin: added file size
  + ported ffmpeg plugin (Closes issue 170)
  + some ffmpeg fixes
  + added bitmap text support (thanks to Erik lsar)
  + do not allow main window overlap (patch by majlos88 AT gmail.com)
  + some notifier plugin changes
  + fixed problem with slow visualization
  + added possibility to disable snd_pcm_pause function
  + fixed mp4 aac regression
  + fixed cue playing with '?' in its path
  + fixed locale detection
  + added engine api
  + updated Polish translation (Grzegorz Gibas)
  + clear next url if user presses stop
  + fixed problem with qt 4.6 (Closes issue 179)
  + fixed signal conflict
  + fixed popup widget attributes
  + added some optimizations, removed deprecated functions
  + fixed text scroller bugs
  + fixed build (Closes issue 181)
  + fixed problem with threads
  + fixed bug with calling XGrabKey with zero keycodes
  + notifier plugin: fixed popup widget
  + added APIC frame support, added some api functions
  + mpris plugin: added 'arturl' key
  + changed required taglib version from 1.4 to 1.6

* Thu Sep 10 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1193
- 0.4 svn1193 version
  + fixed problems with lyricwiki (Fixes issue 158)
  + fixed uds data receiving
  + updated Lithuanian translation (Algirdas Butkus)
  + fixed desktop file
  + removed broken LyricWiki.org support, added lyricsplugin.com instead
  + fixed typo

* Wed Sep 02 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.1.svn1172
- 0.4 svn1172 version
  + change branch version
  + updated Czech translation (Karel Voln)
  + updated Italian translation (Gian Paolo Renello)
  + some updated Ukrainian translation
  + fixed build (Fixes issue 157)
  + fixed lyrics plugin

* Wed Aug 26 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.1-alt0.1.svn1160.1
- rebuild with libcdio-0.81

* Tue Aug 25 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.1-alt0.1.svn1160
- 0.3 svn1160 version
  + updated Polish translation (Gregorz Gibas)
  + updated German translation (Stefan Koelling)
  + updated German translation (Panagiotis Papadopoulos)
  + fixed translation strings (Panagiotis Papadopoulos)
  + updated Czech translation (Karel Voln)
  + updated Ukrainian translation
  + fixed freezes with jack
  + fixed cue parsing, fixed jack
  + fixed cue parsing
  + fixed translatble strings

* Mon Aug 17 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.1-alt0.1.svn1146
- 0.3 svn1146 version
  + fixed default font
  + notifier plugin: added font and cover size settings
  + fixed details dialog layout
  + updated Ukrainian translation

* Sat Aug 15 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.1-alt0.1.svn1140
- 0.3 svn1140 version
  + hide cover widget if cover pixmap is not available
  + notifier plugin: added cover support

* Wed Aug 12 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.1-alt0.1.svn1138
- 0.3 svn1138 version
  + fixed cover support
  + added cover support api
  + fixed seeking

* Sun Aug 09 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.1-alt0.1.svn1135
- 0.3 svn1135 version
  + added unified dialog api
  + updated Russian translation
  + added support for additional tags
  + fixed title format
  + changed details dialog layout
  + hotkey plugin: added volume control
  + mpeg plugin: added support for comment and disc number tags
  + flac plugin: added support for composer and disc number tags
  + flac plugin: fixed metadata reading
  + vorbis plugin: added support for composer and disc number tags
  + some details dialog fixes
  + ffmpeg plugin: added unified details dialog
  + wavpack plugin: added support for composer and disc number tags
  + mpc plugin: added composer tag support
  + fixed build
  + added partial cover support
  + hotkey plugin: fixed bug with capslock
  + updated and fixed Ukrainian translation

* Wed Aug 05 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.1-alt0.1.svn1110
- 0.3 svn1110 version
  + fixed problem with lyricwiki
  + updated *.ts files
  + updated Ukrainian translation

* Tue Aug 04 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.1-alt0.1.svn1105
- 0.3 svn1105 version
  + fixed problem with qt4.4
  + updated Turkish translation (Bilgesu Gngr)

* Sun Aug 02 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.1-alt0.1.svn1101
- 0.3 svn1101 version
  + updated German translation (Panagiotis Papadopoulos)
  + fixed typo
  + added Kazakh translation (Baurzhan Muftakhidinov)
  + fixed build
  + fixed cache scrobbling
  + status icon plugin: added standard icons support
  + updated Ukrainian translation
  + mpeg decoder: do not send empty metadata
  + some state handler fixes
  + new decoder api, disabled broken plugins
  + fixed installation
  + updated Russian translation
  + ported musepack plugin
  + fixed regression
  + added cygwin patches (yselkowitz AT gmail.com)
  + ported cue plugin
  + improved cue support (very unstable)
  + fixed sorting by name
  + fixed cue support
  + enabled flac plugin
  + enabled mplayer support, added mkv extension
  + added Home/End hotkeys
  + added 'show song numbers' option
  + updated Chinese Traditional and Chinese Simplified translations (lon)
  + mpeg plugin: fixed problem with small files
  + flac plugin: fixed cue support
  + removed unused code
  + enabled sndfile plugin
  + enabled wavpack plugin, fixed problem with slow seeking
  + enabled modplug plugin
  + added shift modifier for home/end hotkeys
  + enabled ffmpeg plugin
  + new ffmpeg support
  + ported aac plugin
  + ported cd audio plugin
  + mpeg plugin: show mpeg version
  + fixed build under debian(closes issue 135)
  + updated Turkish translation (author: Bilgesu Gngr)
  + added patch which allows to load plugins form a different location (Holger Schurig)
  + fixed previous patch
  + added Lithuanian translation (author: Algirdas Butkus)
  + updated translators list
  + updated *.ts files
  + alsa plugin: fixed settings dialog layout
  + mpeg plugin: fixed regression
  + added 'remove invalid files' action'
  + fixed playlist menu
  + mpeg plugin: changed detailes dialog
  + added partial cover support
  + some details dialog improvements
  + fixed problems with openbox (closes issue 141)
  + added openbox compatibility option
  + added form of the unified details dialog

* Sat Jul 04 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt1
- 0.3.0 release

* Mon Jun 29 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn987
- 0.3 svn987 version
  + some fileops plugin improvements
  + updated changelog

* Sun Jun 28 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn984
- 0.3 svn984 version
  + fixed fileops plugin
  + fileops plugin: do not convert spaces to '_'

* Sat Jun 27 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn982
- 0.3 svn982 version
  + fixed typo
  + ported oss plugin
  + fixed build with oss4
  + fixed pulse audio support
  + improved audio output
  + ported jack plugin

* Sun Jun 21 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn975
- 0.3 svn975 version
  + added library suffix autodetection

* Sat Jun 20 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn974
- 0.3 svn974 version
  + fixed audio skipping when using soft volume

* Tue Jun 16 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn973
- 0.3 svn973 version
  + added debug message
  + fixed skin parsing

* Sun Jun 14 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn971
- 0.3 svn971 version
  + fixed some debug messages
  + fixed audio distortion in the end of file

* Sat Jun 13 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn969
- 0.3 svn969 version
  + clear queue with playlist

* Thu Jun 11 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn968
- 0.3 svn968 version
  + scorbbler plugin: fixed problem with tags that contain the & sign
  + updated documentation
  + fixed typo

* Tue Jun 09 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn964
- 0.3 svn964 version
  + lyrics plugin: fixed window flags

* Mon Jun 08 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn963
- 0.3 svn963 version
  + fixed text scroller and window titles

* Sun Jun 07 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn962.1
- rebuild with libbs2b-3.1.0

* Sun May 31 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn962
- 0.3 svn962 version
  + updated German translation (Panagiotis Papadopoulos)
  + updated Polish translation (Gregorz Gibas)
  + fixed: adding streams from command line
  + notifier plugin: fixed notification window position

* Sat May 30 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn958
- 0.3 svn958 version
  + improved scrobbler plugin, fixed libre.fm support
  + fixed config dialog layout
  + updated Ukrainian translation

* Fri May 29 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn954
- 0.3 svn954 version
  + fixed language detection

* Mon May 18 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn953
- 0.3 svn953 version
  + libre.fm support
  + fixed translation list
  + fixed plugins page size in the config dialog (patch by Panagiotis Papadopoulos)
  + updated Ukrainian translation

* Fri May 15 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn949
- 0.3 svn949 version
  + removed dublicate files
  + fixed build

* Tue May 12 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn947
- 0.3 svn947 version
  + fixed segmentation fault when resume playback with empty playlist
  + added Italian translation (author: Gian Paolo)
  + wavpack plugin: improved total time calculation

* Tue May 12 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn944
- 0.3 svn944 version
  + lyrics plugin: added hotkey
  + enabled file operations plugin
  + file operations: fixed settings
  + fixed wavpack with embedded cue support
  + fixed Russian translation
  + fixed skin path
  + updated Ukrainian translation for fileops plugin
  + fixed build with Qt4.4

* Sun May 10 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn935
- 0.3 svn935 version
  + updated fileops plugin, fixed file dialog bugs

* Fri May 08 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn934
- 0.3 svn934 version
  + fixed m4a support with enabled aac plugin

* Fri May 08 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn933
- 0.3 svn933 version
  + fixed bs2b build

* Mon May 04 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn932
- 0.3 svn932 version
  + fixed about dialog layout (patch by Panagiotis Papadopoulos)
  + fixed m4a support

* Sun May 03 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn930
- 0.3 svn930 version
  + added cue with several files support
  + creating file operations plugin structure
  + fixed cue regression
  + fixed ffmpeg plugin bugs

* Sat May 02 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn926
- 0.3 svn926 version
  + fixed build
  + improved config dialog
  + pulse audio plugin: 32-bit samples support
  + fixed Russian translation
- fixed not owned by any package directoryes

* Thu Apr 30 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn922
- 0.3 svn922 version
  + fixed playing cue files with symbol '#' in the path
  + fixed documentation
- added russian description

* Wed Apr 29 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn920
- 0.3 svn920 version
  + fixed scrobbler plugin regression

* Wed Apr 29 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn918
- 0.3 svn918 version
  + scrobbler: added offline mode
  + increased uds data size

* Tue Apr 21 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn916
- 0.3 svn916 version
  + fixed gnome support

* Sun Apr 19 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn915
- 0.3 svn915 version
  + qmmp file dialog: fixed sorting
  + fixed build with Qt-4.3
  + fixed build
  + updated German translation (Panagiotis Papadopoulos)

* Wed Apr 15 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn911
- 0.3 svn911 version
  + added wave output plugin (only M$-Windows)
  + alsa plugin: show more debug info
  + fixed skin path for windows
  + fixed main window flags
  + fixed now-playing notification for flac and wavpack files with embeded cue
  + added waveout plugin translation
  + updated documentation
  + fixed build
  + fixed typo

* Fri Apr 10 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn901
- 0.3 svn901 version
  + partial mingw support
  + fixed build using cmake < 2.6.2

* Thu Apr 09 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn899
- 0.3 svn899 version
  + updated bs2b plugin, removed libbs2b-2.x support
  + some alsa fixes
  + fixed build
  + updated Ukrainian translation

* Tue Apr 07 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn894
- 0.3 svn894 version
  + prepare for ms windows support

* Sun Apr 05 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn893
- 0.3 svn893 version
  + libbs2b 3.0.0 support
  + scrobbler plugin: fixed now-playing notification

* Sat Apr 04 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn891
- 0.3 svn891 version
  + updated Polish translation (Grzegorz Gibas)
  + updated Russian translation
  + alsa plugin: added hard restart

* Wed Apr 01 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn887
- 0.3 svn887 version
  + some core fixes and improvements

* Sat Mar 28 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn886
- 0.3 svn886 version
  + fixed default font
  + fixed clicked item calculation
  + fixed selected item calculation

* Fri Mar 27 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn883
- 0.3 svn883 version
  + fixed command line regression

* Thu Mar 26 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn880
- 0.3 svn880 version
  + fixed desktop file
  + fixed alsa buffer underrun

* Tue Mar 24 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn878
- 0.3 svn878 version
  + added Ukrainian translation to qmmp_cue.desktop file
  + faster mp3 seeking

* Mon Mar 23 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn876
- 0.3 svn876 version
  + added qmmp_enqueue.desktop file, added 'inode/directory' mimetype
  + fixed directory adding bug
  + play cue in directories
  + removed unused code

* Sun Mar 22 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn870
- 0.3 svn870 version
  + some hotkey fixes
  + updated desktop file
  + moved phonon to qmmp plugin pack

* Sun Mar 22 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn865
- 0.3 svn865 version
  + musepack sv8 support

* Thu Mar 19 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn863
- 0.3 svn863 version
  + updated German translation (Panagiotis Papadopoulos)
  + fixed SRC plugin regression, increased buffer size
  + some api fixes

* Wed Mar 18 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn860
- 0.3 svn860 version
  + updated devel files list
  + fixed content type detection
  + fixed 'jumping windows' bug

* Mon Mar 16 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn857
- 0.3 svn857 version
  + fixed bug: qmmp continues current track instead of loading new one
  + fixed cue regression
  + fixed regression

* Sun Mar 15 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn854
- 0.3 svn854 version
  + aac plugin fixes, updated Russian translation
  + updated Ukrainian translation

* Sat Mar 14 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn852
- 0.3 svn852 version
  + PlayListModel class documentation
  + command line api documentation
  + file dialog plugin api documentation
  + general plugin api documentation
  + playlist format api documentation
  + decoder api documentation
  + effect plugin api documentation
  + output and visual api documentation
  + SoundCore class documentation, fixed other documentation
  + fixed build regression
  + fixed typo
  + some api fixes
- add docs package

* Wed Mar 11 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn839
- 0.3 svn839 version
  + added tooltips
  + updated Ukrainian translation
  + fixed Russian translation
  + mplayer plugin: added auto synchronization option

* Mon Mar 09 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn835
- 0.3 svn835 version
  + some api changes
  + fixed pulse audio bug

* Sun Mar 08 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn833
- 0.3 svn833 version
  + removed unused code
  + updated logo

* Sun Mar 08 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn832
- 0.3 svn832 version
  + improved seeking accuracy
  + fixed regression
  + fixed build

* Sat Mar 07 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn827
- 0.3 svn827 version
  + fixed version
- update BuildRequires

* Fri Mar 06 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn826
- 0.3 svn826 version
  + playlist api changes and optimizations
  + mplayer settings
  + fixed ffmpeg regression
  + updated Ukrainian translation

* Thu Mar 05 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn822
- 0.3 svn822 version
  + added item skip limit
  + fixed time indicator blinking

* Thu Mar 05 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn820
- 0.3 svn820 version
  + fixed typo (thanks to Sebastian Pipping)
  + updated Ukrainian translation

* Sun Mar 01 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn816
- 0.3 svn816 version
  + old ffmpeg support (Sergey Dryabzhinsky)
  + fixed bs2b plugin bug (thanks to Sebastian Pipping)

* Sun Mar 01 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn814
- 0.3 svn814 version
  + enapled projectM plugin
  + updated Ukrainian translation (projectM)

* Sat Feb 28 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn812
- 0.3 svn812 version
  + updated bs2b plugin. Now it uses updated bs2b library and enabled by default
  + updated Czech translation (Karel Voln)
  + updated Ukrainian translation (BS2B Plugin)

* Wed Feb 25 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn808
- 0.3 svn808 version
  + uploaded fixed oss plugin from branch
  + added projectm visual plugin (not ready yet)

* Tue Feb 24 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn805
- 0.3 svn805 version
  + fixed Czech translation (Tomas Chvatal), fixed build
  + updated German translation (Panagiotis Papadopoulos)
  + fixed Russian translation
  + fixed invalid file handling

* Thu Feb 19 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn799
- 0.3 svn799 version
  + removed useless option
  + fixed embedded cue encoding
  + improved lyrics plugin
  + updated Ukrainian translation

* Tue Feb 17 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn794
- 0.3 svn794 version
  + fixed proxy support, fixed xspf version
  + libqmmp: allow config path override
  + fixed regression
  + fixed url dialog bug

* Sat Feb 14 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn790
- 0.3 svn790 version
  + some qmmp launcher improvements (Sebastian Pipping)
  + qt-4.5 fixes
  + global hotkey support
  + mplayer plugin: 3gp and flv extensions
  + updated Ukrainian translation (Global Hotkey Plugin)

* Mon Feb 09 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn784
- 0.3 svn784 version
  + updated German translation (Panagiotis Papadopoulos)
  + fixed xspf format support (thanks to Sebastian Pipping)

* Sat Feb 07 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn781
- 0.3 svn781 version
  + wavpack embeded cue support (thanks to Dmitry Kostin)

* Fri Feb 06 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn779
- 0.3 svn779 version
  + fixed build
  + fixed aac build
  + aac plugin: debian support

* Thu Feb 05 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn776
- 0.3 svn776 version
  + fixed large playlist downloading

* Mon Feb 02 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn774
- 0.3 svn774 version
  + mad plugin: skip ID3v2 tag
  + fixed segmentation fault

* Sat Jan 31 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn770
- 0.3 svn770 version
  + fixed main window title
- removed prescripts for new skindir workaround (#18695)

* Fri Jan 30 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn769
- 0.3 svn769 version
  + some hal plugin improvements, updated Russian translation
  + updated readme files
  + fixed typo
  + updated Ukrainian translation
- updated description from README file

* Thu Jan 29 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn764
- 0.3 svn764 version
  + removable devices support
  + fixed Russian translation
  + updated Ukrainian translation

* Sat Jan 24 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn761
- 0.3 svn761 version
  + cd audio plugin: url syntax changes
  + hal support (experimental)
  + show genre for streams
  + some general api changes
  + fixed build with --as-needed linking flag
  + some skin fixes
  + updated Russian translation
  + updated and fixed Ukrainian translation

* Thu Jan 22 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn751
- 0.3 svn751 version
  + mp3 support by ffmpeg plugin (Csaba Hrushka)
  + updated Ukrainian translation
  + updated German translation (Panagiotis Papadopoulos)
  + fixed build with qt-4.3

* Thu Jan 15 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn747
- 0.3 svn747 version
  + lyrics plugin
  + updated Ukrainian translation (lyrics plugin)

* Wed Jan 14 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn745
- 0.3 svn745 version
  + fixed playlist actions
  + some menu improvements

* Tue Jan 13 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn743
- 0.3 svn743 version
  + fixed division by zero
  + menu support
  + updated Ukrainian translation

* Tue Jan 06 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn740
- 0.3 svn740 version
  + fixed bug in volume control

* Mon Jan 05 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn739
- 0.3 svn739 version
  + cd audio plugin
  + cda plugin: show metadata
  + updated Russian translation
  + updated and fixed Ukrainian translation
  + short command line keys
  + fixed xspf parsing

* Sun Jan 04 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn732
- 0.3 svn732 version
  + updated German translation (Panagiotis Papadopoulos)
  + fixed Ukrainian translation
  + fixed file filters
  + fixed scrobbler settings
  + fixed plugins short name

* Thu Jan 01 2009 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn727
- 0.3 svn727 version
  + fixed list widget
  + added mplayer and phonon plugins
  + enabled mplayer support
  + mplayer plugin: added details dialog and Russsian translation
  + fixed mplayer plugin dialog title
  + updated Ukrainian translation (mplayer plugin)

* Mon Dec 29 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn721
- 0.3 svn721 version
  + settings dialog: fixed selection
  + added application name; removed unused debug message

* Sun Dec 28 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn719
- 0.3 svn719 version
  + notification plugin: volume change notification, transparency settings
  + added transparency options
  + updated Russian translation
  + updated Ukrainian translation
  + fixed typo
  + status icon: fixed state tracking; notifier plugin: show test message
  + fixed comments

* Fri Dec 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn712
- 0.3 svn712 version
  + show version with svn revision
  + mpris plugin: fixed player name
  + updated German translation (Panagiotis Papadopoulos)
  + scrobbler plugin: now-playing notification support, new api support
  + cue plugin: added Russian translation; ffmepg plugin: fixed widgets layout
  + fixed build with using qmake (--as-needed)
  + added Ukrainian translation for CUE plugin
  + fixed build
- fix conflicts folder vs symlink
- rename %name-devel to lib%name-devel
- moved *.so to new subpackage lib%name-devel

* Wed Dec 24 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn704
- 0.3 svn704 version
  + full mpris support; new options: "repeat track", "show protocol"
  + fixed sorting by track and year
  + updated Russian translation
  + updated Ukrainian translation
  + global config file path

* Sun Dec 21 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn698
- 0.3 svn698 version
  + more mpris methods support

* Sat Dec 20 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn697
- 0.3 svn697 version
  + ffmpeg fixes

* Fri Dec 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn696
- 0.3 svn696 version
  + more ffmpeg formats support (including ape); ffmpeg plugin settings
  + some ffmpeg plugin fixes
  + fixed ffmpeg plugin build
  + faster ape seeking
- removed patch for ape support (upstream now supported)

* Wed Dec 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn692
- 0.3 svn692 version
  + improved equalizer precision
  + using standard dialog buttons
  + fixed dialog layouts

* Tue Dec 16 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn688
- 0.3 svn688 version
  + equalizer: overwrite existing presets
  + added some mpris methods

* Mon Dec 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn685
- 0.3 svn685 version
  + fixed linker flags
  + mediplayer class, enabled all statusicon actions
  + removed unused debug messages
  + better mpris support
  + fixed regression

* Sun Dec 14 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn680
- 0.3 svn680 version
  + moved playlist model to libqmmpui
- ape support enabled (experimental)

* Fri Dec 12 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn679
- 0.3 svn679 version
  + fixed playlists load with --enqueue option
  + status icon plugin: mouse wheel volume control

* Thu Dec 11 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn677
- 0.3 svn677 version
  + skin installation dialog
  + --enqueue command line option

* Mon Dec 08 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn674
- 0.3 svn674 version
  + fixed some midi bugs
  + moved midi plugin to plugin pack

* Sun Dec 07 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn672
- fix allocation skinsdir for winamplike-skins
- 0.3 svn672 version
  + fixed qmake scripts
  + fixed effect plugin table
  + fixed typo
  + fixed sliders
  + updated changelog
  + updated Czech translation
  + fixed build
  + midi plugin

* Mon Dec 01 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn649
- 0.3 svn649 version
  + fixed shaded playlist title

* Sat Nov 29 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn647
- 0.3 svn647 version
  + fixed next/previous command in pause mode
  + fixed cue parsing
  + flac plugin: embeded cue support (using cuesheet xiph comment)
  + changed decoder api; fixed flac plugin
  + general api changes, removed unused code
  + removed unused code
- removed libqt3-devel from BuildRequires

* Wed Nov 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn640
- 0.3 svn640 version
  + some mpris plugin improvements
  + fixed Russian translation (MPRIS plugin)
  + fixed command line plugin
- refresh BuildRequires

* Wed Nov 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn637
- 0.3 svn637 version
  + fixed regression
  + partial mpris support, removed dbus plugin
  + added mpris plugin translations
  + fixed Ukrainian translation (MPRIS Plugin)
  + fix link (--as-needed) for notifier plugin

* Tue Nov 25 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn631
- 0.3 svn631 version
  + show notification for all files
  + notifier plugin: show duration of the cue tracks
  + fixed notification bug
  + general api cleanup

* Sun Nov 23 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn626
- 0.3 svn626 version
  + fixed possible freeze
  + fixed notifier duration bug
  + removed unused code

* Thu Nov 20 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn623
- 0.3 svn623 version
  + fixed build
  + output api changes
  + make visualization independent of the software volume level

* Mon Nov 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn619
- 0.3 svn619 version
  + added enter hotkey support in the jump dialog
- remove post/postun scripts (new rpm)

* Thu Nov 13 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn615
- 0.3 svn615 version
  + fixed shaded playlist title
  + fixed modplug defines

* Mon Nov 10 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn610
- 0.3 svn610 version
  + gcc-4.3 support

* Sat Nov 01 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn609
- 0.3 svn609 version
  + AAC plugin: added details dialog
  + fixed out-of-source build

* Fri Oct 31 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn606
- 0.3 svn606 version
  + enabled aac plugin
  + AAC plugin: fixed seeking; id3v2 tags support

* Sun Oct 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn604
- 0.3 svn604 version
  + fixed desktop file regression
  + fixed playlist parsing
  + some playlist fixes
  + fixed some event-handling bugs
  + fixed equalizer
  + cue plugin: equalizer support
  + send buffering state befor playing
  + fixed regression
  + aac plugin
  + clear visualization after stop, fixed possible flickering
  + removed unused debug message

* Sun Oct 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn589
- initial build 0.3 branch for ALT Linux

* Sun Oct 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.2.1-alt0.1.svn590
- 0.2 svn590 version
  + fixed program exit with enabled visualization
- fixed desktop file (repocop warning)

* Thu Oct 16 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.2.1-alt0.1.svn586
- 0.2 svn586 version
  + fixed playlist loading when using drag and drop and command line
  + fixed build

* Fri Sep 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.2.1-alt0.1.svn564
- 0.2 svn564 version
  + fixed russian translation
  + added French translation (author: Stanislas Zeller)
  + updated translators list
  + jack plugin: do not try to connect to MIDI ports (Adrian Knoth)
  + fixed memory leak

* Tue Sep 09 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.2.1-alt0.1.svn545
- 0.2 svn545 version
  + kde4-like library suffix (Funda Wang)
  + new ffmpeg support
  + removed duplicate --next command line option (thanks to Adrian Knoth)
  + rebuilt translations

* Sat Aug 30 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.2-alt1
- 0.2.2 release

* Sat Aug 30 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.1.1-alt0.1.svn525
- 0.2 svn525 version
  + fixed UDS datagram encoding

* Tue Aug 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.1.1-alt0.1.svn523
- 0.2 svn523 version
  + added Polish translation (author: Grzegorz Gibas)
  + fixed build
  + make alsa plugin optional
  + fixed compile warnings
  + some jack fixes
  + removed unused code
  + fixed Russian translation

* Sun Aug 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.1-alt2
- fix Ukrainian translation

* Fri Aug 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.1-alt1
- 0.2.1
  + fixed desktop file;
  + fixed build;
  + fixed bugs in the file dialog;
  + fixed margins;
  + updated Chezh translation;
  + middle mouse button click on the tray icon works as the play/pause command;
  + fixed memory leak;
  + fixed skin parsing;
  + increased file dialog speed;
  + improved accuracy of the mp3 duration calculation;
  + added preamp support in the the modplug plugin
- add %name-full package

* Tue Jul 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.0-alt2
- 0.2.0 release
- updated description

* Tue Jul 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn469
- 0.2 svn469 version
  + devel files installation
  + fixed build
  + updated description
  + fixed changelog

* Mon Jul 21 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn462
- 0.2 svn462 version
  + 24-bit support
  + fixed and updated Russian translation

* Sat Jul 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn459
- 0.2 svn459 version
  + updated German translation (author: Stefan Koelling)
  + fixed memory leak
  + optimized alsa output

* Sat Jul 12 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn456
- 0.2 svn456 version
  + fixed build
  + fixed visualization

* Fri Jul 11 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn453
- 0.2 svn453 version
  + updated Chinese Simplified and Chinese Traditional translations (author: lon)
  + notifier: fixed popu message
  + some file dialog fixes

* Thu Jul 10 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn450
- 0.2 svn450 version
  + completed file dialog support
  + fixed translation
  + updated and fixed Ukrainian translation
  + updated Russian translation
  + fixed build
  + fixed bug in the file dialog

* Mon Jul 07 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn442
- 0.2 svn442 version
  + full proxy support
  + fixed software volume

* Sun Jul 06 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn440
- 0.2 svn440 version
  + fixed status icon message

* Sat Jul 05 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn439
- 0.2 svn439 version
  + updated Ukrainian translation

* Sat Jul 05 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn438
- 0.2 svn438 version
  + updated Ukrainian translation
  + updated Chinese Simplified and Chinese Traditional translations
  + fixed visualization disabling
  + improved text scroller
  + updated Russian translation
  + fixed text scroller string
  + fixed build

* Wed Jun 25 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn431
- 0.2 svn431 version
  + alsa plugin: mmap access support

* Sun Jun 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn430
- 0.2 svn430 version
  + fixed Russian translation

* Sat Jun 21 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn429
- 0.2 svn429 version
  + fixed qmmp file dialog

* Thu Jun 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn428
- 0.2 svn428 version
  + enabled qmmp file dialog

* Tue Jun 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn427
- 0.2 svn427 version
  + fixed build message
  + updated Chinese Traditional Translation (author: lon)
  + fixed critical bug which causes crash
  + added distclean target

* Mon Jun 16 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn423
- 0.2 svn423 version
  + added uninstall target for cmake
  + fixed Ukrainian translation
  + fixed build

* Sun Jun 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn420
- 0.2 svn420 version
  + generate *.qm files by build scripts
  + removed unused files

* Sun Jun 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn418
- 0.2 svn418 version
  + updated Ukrainian translation (in upstream)
  + updated Russian translation

* Sun Jun 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn416uk
- 0.2 svn416 version
  + fixed visualization blink
- updated Ukrainian translation (uk)

* Sat Jun 14 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn415
- 0.2 svn415 version
  + fixed qmake scripts
  + updated Russian translation
  + updated Chinese Simplified Translation (author: lon)
  + updated Chinese Traditional Translation (author: lon)
  + fixed build
  + fixed typo
  + updated Russian translation
  + fixed Russian translation

* Thu Jun 12 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn406
- 0.2 svn406 version
  + moved queue action
  + fixed typo
  + some settings dialog changes

* Thu Jun 12 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn403
- 0.2 svn403 version
  + show metadata for streams

* Wed Jun 11 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn402
- 0.2 svn402 version
  + fixed qmake scripts
  + some visualization fixes
  + enabled command line plugins support
  + updated translation
- remove libqt3-devel from BuildRequires

* Wed Jun 04 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn398
- 0.2 svn398 version
  + moved playlist formats support to plugins
  + fixed playlist dialog default path

* Mon Jun 02 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn396
- 0.2 svn396 version
  + fixed Alt+F4 closing

* Sun Jun 01 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn395
- 0.2 svn395 version
  + removed unused files
- run clear_cmake.sh script before building

* Sun Jun 01 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn394
- 0.2 svn394 version
  + added username to the socket name (thanks to Karel Volny)
  + changed socket error message
  + added PlayListItem class, removed MediaFile
  + more playlist options
  + visualization: transparent background option
  + fixed cmake build progress (thanks to Ken Martin)
  + fixed crash

* Mon May 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn385
- 0.2 svn385 version
  + stream reader: play stream buffer after disconnect
  + id3v2 support for streams
  + fixed build

* Thu May 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn382
- 0.2 svn382 version
  + some alsa fixes
  + fixed build (thanks to Karel Volny)
- enable verbose mode for building

* Tue May 20 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn380
- 0.2 svn380 version
  + fixed qmake scripts
  + clear text scroller before playing
  + updated German translation (author: Stefan Koelling)
  + fixed build

* Sun May 18 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn375
- 0.2 svn375 version
  + flac plugin: fixed cmake script

* Sun May 18 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn374
- 0.2 svn374 version
  + cmake 2.6 support

* Fri May 16 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn373
- 0.2 svn373 version
  + improved cmake scripts

* Thu May 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn372
- 0.2 svn372 version
  + fixed localization support
  + updated *.qm files
  + updated Chezh translation (author: Karel Volny)

* Tue May 13 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn369
- 0.2 svn369 version
  + modplug plugin: some settings dialog changes
  + modplug plugin: some ui fixes
- fixed unpackaged directory (new sisyphus_check)

* Fri May 09 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn367
- 0.2 svn367 version
  + added *.ts files

* Thu May 08 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn366
- 0.2 svn366 version
  + display buffering progress

* Tue May 06 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn365
- 0.2 svn365 version
  + fixed segmentation fault while changing visualization (qt 4.4 issue)
  + fixed pulse audio build message
  + FFMEG plugin: fixed build again

* Mon May 05 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn362
- 0.2 svn362 version
  + fixed possible segmentation fault

* Sun May 04 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn361
- 0.2 svn361 version
  + ffmpeg plugin: fixed build scripts (thanks to Stefan Koelling)
  + fixed skin parsing

* Thu May 01 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn357
- 0.2 svn357 version
  + some cmake cleanup
  + improved build scripts
  + fixed translators list

* Mon Apr 28 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn354
- 0.2 svn354 version
  + notifier plugin: fixed layout

* Wed Apr 23 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn352
- 0.2 svn352 version
  + play file if it was added from command line

* Tue Apr 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn350
- 0.2 svn350 version
  + modplug plugin: fixed it, mod, stm, s3m support

* Tue Apr 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn349
- 0.2 svn349 version
  + fixed modplug window title
  + added modplug support

* Sun Apr 20 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn347
- 0.2 svn347 version
  + fixed playlist format parsing
- separate various plugins to subpackage
- added unzip to requires (for zip packed skins support)

* Fri Apr 11 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn338
- 0.2 svn338 version
  + mp3 wave support
  + Analyzer plugin: fixed build
  * required cmake >= 2.4.8

* Mon Apr 07 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Fri Apr 04 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt5.svn329
- new svn version
  + grey out configuration button if a plugin has no settings
  + fixed regression
  + use qt translations
- refresh BuildRequires

* Wed Apr 02 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt4.svn297
- fix desktop-mime-entry

* Fri Mar 28 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt3.svn297
- new svn version
  + show more debug info
  + updated changelog
  + fixed typo
  + fixed loading playlists with double extensions
  + fixed scroller text color
  + some id3v1/v2 fixes
  + *.tar.bz2 skins support
  + fixed GPL violation

* Tue Mar 25 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt2.svn226
- rebuild with new libqt4

* Sat Mar 08 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt1.svn226
- rebuild with new libffmpeg

* Mon Feb 25 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt0.svn226
- new svn version
  + fixed skin parsing

* Thu Jan 24 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt0.svn223
- new svn version
  + added 'share/qmmp/skins' to skin search path

* Thu Jan 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5-alt2
- cleanup spec
- fix cmake build

* Sat Dec 08 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.5-alt1
- 0.1.5
- use cmake
- add icons

* Sat Sep 15 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.4-alt2
- fix deskciption - packed skins now supported

* Sun Sep 09 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.4-alt1
- new version

* Wed Aug 29 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3.2-alt0.svn126.1
- fix categories in desktop file

* Fri Aug 24 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3.2-alt0.svn126
- new svn version (special building for current song saving)

* Tue Jul 31 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3.1-alt1
- hotfix version (bug with dir for libqmmp.so*)

* Mon Jul 30 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3-alt1
- release
- fix patch0 for release

* Sun Jul 22 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3-alt0.svn29.1
- fix for x86_64 (thanks Led for help)

* Sat Jul 21 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3-alt0.svn29
- initial build for Sisyphus

* Mon Jul 16 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3-alt0.svn29.M40.1
- new svn snapshot
- add desktop file
- trivial fix patch0

* Thu Jun 21 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.2-alt0.M40.1
- new version
- build for M40
- fix patch0 for 0.1.2
- fix optflags (thanx to Ilya <forkotov02 at hotmail dot ru>

* Sat Jun 02 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.1-alt0.M24.1
- 0.1.1

* Tue May 29 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1-alt0.M24.1
- test build for ALM2.4
